Soxway Docs
Account

Get analytics

Get reseller analytics including sub-user statistics and traffic usage.

GET
/reseller/analytics

Authorization

bearerAuth
AuthorizationBearer <token>

Access token obtained via POST /reseller/access-token using your Reseller Key

In: header

Response Body

application/json

curl -X GET "https://api.soxway.io/reseller/analytics"
{
  "summary": {
    "total_topup_gb": 0,
    "total_used_gb": 0,
    "total_balance_gb": 0,
    "sub_users_count": 0
  },
  "chart": [
    {
      "date": "2019-08-24",
      "total_gb": 0
    }
  ],
  "sub_users": [
    {
      "id": 0,
      "login": "string",
      "note": "string",
      "balance_gb": 0,
      "used_gb": 0,
      "topup_gb": 0
    }
  ],
  "hosts": [
    {
      "host": "string",
      "proxies_count": 0,
      "users_count": 0
    }
  ]
}